%global momorel 4

Summary: Chinese lexicons library for xcin-2.5
Name: libtabe
Version: 0.2.6
Release: %{momorel}m
License: Modified BSD
Group: System Environment/Libraries
Source0: ftp://xcin.linux.org.tw/pub/xcin/libtabe/devel/%{name}-%{version}.tar.gz
Patch0: libtabe-db4.patch
Patch1: libtabe-db4.1.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Obsoletes: libtabe-tsi
Requires: db4 >= 4.2
Buildprereq: db4-devel >= 4.2

%description
Chinese lexicons library for xcin-2.5's bimsphone input method.

%package devel
Summary: Header files and libraries for developing apps which will use libtabe
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
Chinese lexicons library for xcin-2.5's bimsphone input method.

%prep
%setup -q -n libtabe
#%patch -p1 -b .db4
%patch1 -p1 -b .db4.1

%build
CFLAGS="%{optflags}" CXXFLAGS="%{optflags}" \
%configure --enable-shared --datadir=%{_datadir}/tabe
make

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%makeinstall datadir=$RPM_BUILD_ROOT/%{_datadir}/tabe

# make link so that xcin-2.5 can use yin.db and tsi.db
mkdir -p %{buildroot}/usr/X11R6/lib/X11/xcin/tab/big5
ln -sf ../../../../../../share/tabe/tsiyin/tsi.db \
	%{buildroot}/usr/X11R6/lib/X11/xcin/tab/big5/tsi.db
ln -sf ../../../../../../share/tabe/tsiyin/yin.db \
	%{buildroot}/usr/X11R6/lib/X11/xcin/tab/big5/yin.db

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING  doc/libtabe.sgml
%{_datadir}/tabe
%{_libdir}/*.so.*
%{_bindir}/*
/usr/X11R6/lib/X11/xcin/tab/big5/yin.db
/usr/X11R6/lib/X11/xcin/tab/big5/tsi.db

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la

%clean 
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%changelog
* Sun Jun 27 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (0.2.6-4m)
- rebuild against db4

* Mon Mar 22 2004 Toru Hoshina <t@momonga-linux.org>
- (0.2.6-3m)
- revised spec for enabling rpm 4.2.

* Mon Nov  3 2003 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.2.6-2m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Sat Feb 22 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (0.2.6-1m)
- version up.

* Mon May 13 2002 Toru Hoshina <t@kondara.org>
- (0.2.5-2k)
- ver up.

* Sat Sep 29 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (0.2-4k)
- add configure-alpha.patch for Alpha Architecture

* Mon Sep 24 2001 Toru Hoshina <t@kondara.org>
- (0.2-2k)
- version up.

* Mon May 21 2001 Shingo Akagaki <dora@kondara.org>
- add buildprereq: db2-devel

* Sun Dec  3 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (0.1-6k)
- modified libtabe-0.1-db.patch at backport for compatibility

* Thu Oct 12 2000 Motonobu Ichimura <famao@kondara.org>
- fixed Group Name ;-<

* Wed Aug 23 2000 Kenichi Matsubara <m@kondara.org>
- add libtabe-0.1-db.patch.
- [ db.h -> db2/db.h ]

* Thu Jul 27 2000 Akira Higuchi <a@kondara.org>
- 1st release as a Kondara package.

* Fri Apr 21 2000 Andrew Lee <andrew@cle.linux.org.tw>
- rebuild for redhat-6.2
- change xcin directory to /usr/X11R6/lib/X11/xcin/

* Tue Feb 29 2000 Chih-Wei Huang <cwhuang@linux.org.tw>
- 0.1-2

* Fri Feb 18 2000 Andrew Lee <andrew@cle.linux.org.tw>
- 0.1_0.1-1.diff

* Sat Feb 12 2000 Andrew Lee <andrew@cle.linux.org.tw>
- libtabe-0.1-20000209.diff thanks to jouston <jouston@i18n.linux.org.tw>

* Tue Feb 09 2000 Andrew Lee <andrew@cle.linux.org.tw>
- libtabe-0.1-20000208.diff

* Thu Feb 04 2000 Andrew Lee <andrew@cle.linux.org.tw>
- add libtabe.diff.20000202

* Tue Jan 25 2000 Andrew Lee <andrew@cle.linux.org.tw>
- add bimsphone module patch

* Mon Jan 24 2000 Andrew Lee <andrew@cle.linux.org.tw>
- update libtabe-0.1

* Wed Dec 15 1999 Andrew Lee <andrew@cle.linux.org.tw>
- update libtabe-0.1-pre8

* Thu Nov 29 1999 Andrew Lee <andrew@cle.linux.org.tw>
- update libtabe-0.1-pre7

* Thu Nov 25 1999 Andrew Lee <andrew@cle.linux.org.tw>
- rebuild for Mandrake
- update libtabe-0.1-pre6

* Thu Aug 26 1999 Cheng Yuan-Cheng <platin@linux.org.tw>
- rebuild for libtabe-0.1-pre2
- a indepent package with tsiyin-src and tabe library..

* Sat Jun 19 1999 Cheng Yuan-Cheng <platin@cle.linux.org.tw>
- from libtabe-tsi-src.tar.gz for xcin-2.5.0


